summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-misc/fortune-mod-kernelcookies/files/9-offensive.patch4
-rw-r--r--games-misc/fortune-mod-kernelcookies/fortune-mod-kernelcookies-9.ebuild12
2 files changed, 8 insertions, 8 deletions
diff --git a/games-misc/fortune-mod-kernelcookies/files/9-offensive.patch b/games-misc/fortune-mod-kernelcookies/files/9-offensive.patch
index 0ba0ee12890..cc66a2afbee 100644
--- a/games-misc/fortune-mod-kernelcookies/files/9-offensive.patch
+++ b/games-misc/fortune-mod-kernelcookies/files/9-offensive.patch
@@ -1,5 +1,5 @@
---- kernelcookies
-+++ kernelcookies
+--- a/kernelcookies
++++ b/kernelcookies
@@ -1,42 +1,3 @@
-/* Only Sun can take such nice parts and fuck up the programming interface
- * like this. Good job guys...
diff --git a/games-misc/fortune-mod-kernelcookies/fortune-mod-kernelcookies-9.ebuild b/games-misc/fortune-mod-kernelcookies/fortune-mod-kernelcookies-9.ebuild
index ef3ab273cb8..72de0e5553e 100644
--- a/games-misc/fortune-mod-kernelcookies/fortune-mod-kernelcookies-9.ebuild
+++ b/games-misc/fortune-mod-kernelcookies/fortune-mod-kernelcookies-9.ebuild
@@ -1,12 +1,12 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit eutils
+EAPI=7
DESCRIPTION="A collection of funny lines from the Linux kernel"
HOMEPAGE="http://www.schwarzvogel.de/software-misc.shtml"
SRC_URI="http://www.schwarzvogel.de/pkgs/kernelcookies-${PV}.tar.gz"
+S="${WORKDIR}"/kernelcookies-${PV}
LICENSE="GPL-2"
SLOT="0"
@@ -16,13 +16,13 @@ IUSE="offensive"
DEPEND="games-misc/fortune-mod"
RDEPEND="${DEPEND}"
-S=${WORKDIR}/kernelcookies-${PV}
-
src_prepare() {
+ default
+
# bug #64985
if ! use offensive ; then
- rm -f *.dat
- epatch "${FILESDIR}"/${PV}-offensive.patch
+ rm -f *.dat || die
+ eapply "${FILESDIR}"/${PV}-offensive.patch
strfile -s kernelcookies || die
fi
}